import pandas as pd
import numpy as np
from sklearn.model_selection import train_test_split, GridSearchCV

from catboost import CatBoostClassifier, Pool, EFstrType

import pickle
import os

file_path = os.environ['DATA_DIR'] + '/' + os.environ['DATASET_PATH']
result_path = os.environ['RESULT_DIR'] + '/' + os.environ['RESULT_PATH']

# Loading Catboost_Model as .pkl

with open("cat_model.pkl", "rb") as f:
   cat_model=pickle.load(f)

# Download_data
df = pd.read_csv(file_path ,sep='\t')


# EDA
target_col=['client_active_flag_base']
cat_cols=df.select_dtypes(include='object').columns.tolist()
X = df.drop(target_col, axis=1)
y = df[target_col]

# Catboost_Results
results_cat=pd.concat([X['client'].reset_index(drop=True),pd.DataFrame(cat_model.predict(X.drop(cat_cols, axis=1)))],axis=1).rename(columns={0:'score'})


# Saving_Catboost_Results
results_cat.to_csv(result_path,index=False, sep='\t')


